# Uses of Interface
com.google.protobuf.GeneratedMessage.BuilderParent

Packages that use GeneratedMessage.BuilderParent
Package
Description
com.google.protobuf

## Uses of GeneratedMessage.BuilderParent in com.google.protobuf

Classes in com.google.protobuf that implement GeneratedMessage.BuilderParent
Modifier and Type
Class
Description
`class`
`RepeatedFieldBuilder<MType extends GeneratedMessage,BType extends GeneratedMessage.Builder,IType extends MessageOrBuilder>`
`RepeatedFieldBuilder` implements a structure that a protocol message uses to hold a repeated field of other protocol messages.
`class`
`SingleFieldBuilder<MType extends GeneratedMessage,BType extends GeneratedMessage.Builder,IType extends MessageOrBuilder>`
`SingleFieldBuilder` implements a structure that a protocol message uses to hold a single field of another protocol message.
Methods in com.google.protobuf that return GeneratedMessage.BuilderParent
Modifier and Type
Method
Description
`protected GeneratedMessage.BuilderParent`
GeneratedMessage.Builder.`getParentForChildren()`
Gets the `GeneratedMessage.BuilderParent` for giving to our children.
Methods in com.google.protobuf with parameters of type GeneratedMessage.BuilderParent
Modifier and Type
Method
Description
`protected abstract Message.Builder`
GeneratedMessage.`newBuilderForType(GeneratedMessage.BuilderParent parent)`
TODO(xiaofeng): remove this together with GeneratedMessage.BuilderParent.
Constructors in com.google.protobuf with parameters of type GeneratedMessage.BuilderParent
Modifier
Constructor
Description
`protected`
`Builder(GeneratedMessage.BuilderParent builderParent)`
`protected`
`ExtendableBuilder(GeneratedMessage.BuilderParent parent)`
``
`RepeatedFieldBuilder(List<MType> messages, boolean isMessagesListMutable, GeneratedMessage.BuilderParent parent, boolean isClean)`
Constructs a new builder with an empty list of messages.
``
`SingleFieldBuilder(MType message, GeneratedMessage.BuilderParent parent, boolean isClean)`